/**
 * Created by jmoutard on 21/07/16.
 */

'use strict';

angular.module('adf.electre')
    .provider('storageErrorProvider', [
        function () {
            function error (code, message) {
                if (typeof code === "number" && typeof message === "string") {
                    var _code = code;
                    var _message = message;
                    
                    this.code = function () {
                        return _code;
                    };
                    this.message = function () {
                        return _message;
                    };
                    
                    this.toString = function () {
                        return "Error code: " + _code + ".\n" + _message;
                    }
                } else {
                    return null;
                }
            }
            
            this.$get = function () {
                return error;
            };
        }
    ]);